Page MenuHomePhabricator

Thumbor: Error reading image metadata: Failed to read image data
Closed, ResolvedPublic

Description

This error is very frequent, maybe it's related to the recent switch to exiv2?

"The memory contains data of an unknown image type" is also very frequent

Details

Related Gerrit Patches:
operations/debs/python-thumbor-wikimedia : masterUpgrade to 1.11
operations/debs/python-thumbor-wikimedia : masterUpgrade to 1.7

Event Timeline

Gilles created this task.Oct 12 2017, 1:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 12 2017, 1:38 PM
Gilles updated the task description. (Show Details)Oct 12 2017, 1:44 PM

Yes, they're coming from exiv2. I need to check if they're merely spewing into the log or if they're really causing requests to fail.

Seems like just noise coming from the pyexiv2 library, writing to the error log. The actual exception is caught by the code.

Gilles triaged this task as Low priority.Oct 13 2017, 8:33 AM
Gilles changed the task status from Open to Stalled.Oct 13 2017, 8:37 AM

I'm going to wait until there's a more compelling reason to push a new version. As it stands those noisy messages can easily be filtered out in Logstash.

Gilles moved this task from Inbox to Doing on the Performance-Team board.Oct 18 2017, 7:14 PM

Change 386348 had a related patch set uploaded (by Gilles; owner: Gilles):
[operations/debs/python-thumbor-wikimedia@master] Upgrade to 1.7

https://gerrit.wikimedia.org/r/386348

Change 386348 merged by Filippo Giunchedi:
[operations/debs/python-thumbor-wikimedia@master] Upgrade to 1.7

https://gerrit.wikimedia.org/r/386348

Gilles changed the task status from Stalled to Open.Oct 25 2017, 2:25 PM

Didn't fix it...

Just figured out that it's coming from Thumbor itself, which does its own EXIF parsing using pyexiv2: https://github.com/thumbor/thumbor/blob/b55e24aea7b162f91ab626f6c936a973c9421139/thumbor/engines/__init__.py#L175

Change 407412 had a related patch set uploaded (by Gilles; owner: Gilles):
[operations/debs/python-thumbor-wikimedia@master] Upgrade to 1.11

https://gerrit.wikimedia.org/r/407412

Change 407412 merged by Filippo Giunchedi:
[operations/debs/python-thumbor-wikimedia@master] Upgrade to 1.11

https://gerrit.wikimedia.org/r/407412

Mentioned in SAL (#wikimedia-operations) [2018-02-02T09:57:08Z] <godog> roll-upgrade thumbor to 1.11 - T178072 T185478 T185483 T185485 T183907 T179954

Gilles closed this task as Resolved.Feb 2 2018, 11:00 AM